#!/bin/bash

# Uninstall script for hotwayd-0.8.4-i486-1McD.tgz
# Removes us from the inetd configuration and removes package.

function error {
 	echo $(/usr/bin/basename $0): error: [1m$@[0m
 	exit 1
}

test -e /var/log/packages/hotwayd-0.8.4-i486-1McD ||
 	error "hotwayd-0.8.4-i486-1McD.tgz is not installed."
test $UID = 0 ||
 	error "To uninstall hotwayd, run me as root."

umask 022	# ensure correct perms
set -o xtrace	# show what we do

# remove our inetd & tcp_wrappers configuration entries
/bin/sed --in-place '/^hotwayd[[:blank:]]/ d; /^hotsmtpd[[:blank:]]/ d'	\
 	/etc/services /etc/inetd.conf /etc/hosts.allow /etc/hosts.deny

# restart inetd after changing config (if active)
test -x /etc/rc.d/rc.inetd && /etc/rc.d/rc.inetd restart

# remove package
exec /sbin/removepkg hotwayd-0.8.4-i486-1McD
